aboutsummaryrefslogtreecommitdiffstats
path: root/main/gzip
diff options
context:
space:
mode:
Diffstat (limited to 'main/gzip')
-rw-r--r--main/gzip/APKBUILD34
-rw-r--r--main/gzip/gzip.post-deinstall3
2 files changed, 37 insertions, 0 deletions
diff --git a/main/gzip/APKBUILD b/main/gzip/APKBUILD
new file mode 100644
index 0000000000..eb06884d6d
--- /dev/null
+++ b/main/gzip/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gzip
+pkgver=1.3.12
+pkgrel=2
+pkgdesc="A popular data compression program"
+subpackages="$pkgname-doc"
+url="http://www.gnu.org/software/gzip/"
+license="GPL2"
+depends=
+makedepends=
+install="$pkgname.post-deinstall"
+source="http://ftp.gnu.org/gnu/gzip/gzip-1.3.12.tar.gz
+ $install"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ # avoid text relocation
+ export DEFS="NO_ASM"
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --disable-nls \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR=$pkgdir install
+
+ mkdir -p "$pkgdir"/bin
+ mv "$pkgdir"/usr/bin/gzip "$pkgdir"/usr/bin/gunzip "$pkgdir"/bin/
+ ln -s /bin/gzip "$pkgdir"/usr/bin/gzip
+ ln -s /bin/gunzip "$pkgdir"/usr/bin/gunzip
+}
+md5sums="b5bac2d21840ae077e0217bc5e4845b1 gzip-1.3.12.tar.gz
+b84506d253e04db3c5af9016fead45a3 gzip.post-deinstall"
diff --git a/main/gzip/gzip.post-deinstall b/main/gzip/gzip.post-deinstall
new file mode 100644
index 0000000000..99b57c4635
--- /dev/null
+++ b/main/gzip/gzip.post-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+busybox --install -s